summaryrefslogtreecommitdiff
path: root/tests/du/8gb
diff options
context:
space:
mode:
Diffstat (limited to 'tests/du/8gb')
-rwxr-xr-xtests/du/8gb12
1 files changed, 5 insertions, 7 deletions
diff --git a/tests/du/8gb b/tests/du/8gb
index 29d48c2e0..ab6dedde4 100755
--- a/tests/du/8gb
+++ b/tests/du/8gb
@@ -27,9 +27,8 @@ fi
dd bs=1 seek=8G of=big < /dev/null 2> /dev/null
if test $? != 0; then
- echo "$0: cannot create a file large enough for this test; possibly" 1>&2
- echo "$0: because file offsets are only 32 bits on this file system" 1>&2
- (exit 77); exit 77
+ skip_test_ 'cannot create a file large enough for this test; possibly
+because file offsets are only 32 bits on this file system'
fi
# FIXME: this should be a test of dd.
@@ -40,10 +39,9 @@ fi
set x `ls -gG big`
size=$4
if test "$size" = 0; then
- echo "$0: cannot create a file large enough for this test;" 1>&2
- echo "$0: possibly because this system's NFS support is buggy;" 1>&2
- echo "$0: Consider rerunning this test on a different file system." 1>&2
- (exit 77); exit 77
+ skip_test_ "cannot create a file large enough for this test
+possibly because this system's NFS support is buggy
+Consider rerunning this test on a different file system."
fi
fail=0